# Sqish
Rust Shell. This is an attempt to create a simple shell in Rust, because why not.

TODO: 
* Aliases don't currently handle arguments. My alias "vless" does not work with "vless lib.rs"
* A shortcut / implemented command to show all Hotkeys
* git commit -m "message" does not work
* Impossible to grep history / maybe implement Ctrl+R ?

## sqishrc (Config)
See the included sqishrc.yaml.example file included, and copy it as ~/.sqishrc.yaml

## Built-in shortcuts
### As Hotkeys
Some shortcuts are built in. They may be unique to Sqish or be copied from Zsh for example.
* Ctrl+Q or Ctrl+D : Quits the shell immediatly
* Ctrl+U : Clears currently written line
* Alt+. : Appends the last word from previous command
* Ctrl+A : Jumps to the end of the line
* Ctrl+E : Jumps to the start of the line
* Ctrl+C : Clears the current line and starts a new one

### In Text:
* !12 : Reruns command number 12 from history (Replace the number with anything)
* !! : Appends the previous command to the current line



